🟒GET

Search subscription contracts

post

Searches for subscription contracts with various filters, sorting, and pagination.

Query parameters
pageintegerOptionalDefault: 1
limitintegerOptionalDefault: 600
Body
Responses
post
/subscription-contracts/search

Retrieve a subscription contract

get

Fetches a single subscription contract by its ID along with its billing attempts.

Authorizations
Path parameters
contractIdstringRequired

The subscription contract ID

Responses
get
/subscription-contracts/{contractId}

Retrieve billing attempts

get

Fetches billing attempts, optionally filtered by shop and customer ID, with support for pagination.

Query parameters
shopstringRequired

The shop domain associated with the billing attempts.

customerIdstringOptional

The customer ID to filter billing attempts by.

pageintegerOptional

The page number for pagination.

Default: 1
limitintegerOptional

The number of items per page for pagination.

Default: 10
Responses
get
/subscriptions/attempts

Last updated